Bug 648 - app on OSX when moving window between displays
Summary: app on OSX when moving window between displays
Status: RESOLVED FIXED
Alias: None
Product: Jogl
Classification: JogAmp
Component: macosx (show other bugs)
Version: 2
Hardware: pc_x86_64 macosx
: P3 normal
Assignee: Sven Gothel
URL:
Depends on: 600
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-03 15:51 CET by ac
Modified: 2014-10-10 15:25 CEST (History)
2 users (show)

See Also:
Type: ---
SCM Refs:
Workaround: ---


Attachments
trace log of the crash, as reported by the OS (65.89 KB, text/plain)
2012-12-03 15:51 CET, ac
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ac 2012-12-03 15:51:45 CET
Created attachment 393 [details]
trace log of the crash, as reported by the OS

Using recent JOGL autobuild (with NEWT, didn't try with AWT), OSX 10.6.8 and macbook Pro with NVidia 320M and second display.

All is needed to trigger the crash is to start the application in one display, and then drag it into the other. The crash happens 1 or 2 seconds after the application windows is fully contained inside the new display.
Comment 1 ac 2012-12-18 00:54:05 CET
As an additional note: the crash happens on 10.6.8, but not on 10.8.2
Comment 2 Sven Gothel 2013-05-07 15:30:03 CEST
sadly I don't have an OSX machine w/ a port for a 2nd CRT, only this mac-mini
and sadly vbox doesn't support OSX :(

However, since Bug 600 is fixed, and some changes due to NSScreen 
association has been made (none for NEWT windows) - pls re-test.
Thank you!
Comment 3 Julien Gouesse 2013-05-07 15:33:53 CEST
(In reply to comment #2)
> sadly I don't have an OSX machine w/ a port for a 2nd CRT, only this mac-mini
> and sadly vbox doesn't support OSX :(
> 
> However, since Bug 600 is fixed, and some changes due to NSScreen 
> association has been made (none for NEWT windows) - pls re-test.
> Thank you!

Maybe I can use the laptop you gave me which is under Mac OS X 10.6.8 but I don't know how to tell the OS to use the build-in screen and another screen at the same time.
Comment 4 John Gibson 2013-09-05 02:10:47 CEST
I've noticed the same problem on OS X 10.7.5 when running Java 1.7.0_25 and JOGL 2.0-rc11.  Note that it doesn't occur with Java 1.6.0_51 and 2.0-rc11. I just tried 2.0.2 and it seems that the problem has gone away.
Comment 5 Julien Gouesse 2014-10-10 15:21:53 CEST
(In reply to comment #4)
> I just tried 2.0.2 and it seems that the problem has gone away.

Therefore, maybe we can close this bug report.
Comment 6 Sven Gothel 2014-10-10 15:24:16 CEST
w/ version 2.0.2 see comment 4
Comment 7 Sven Gothel 2014-10-10 15:25:11 CEST
also works for me .. I tested w/ 2 monitors lately testing HiDPI
w/ AWT, NewtCanvasAWT and NEWT.